### org.jfree.layouting.layouter.style.resolver

# Class AbstractStyleResolver

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.AbstractStyleResolver`

Implemented Interfaces:
  StatefullComponent, StyleResolver

Known Direct Subclasses:
  DefaultStyleResolver, FlatStyleResolver

`public abstract class AbstractStyleResolver`
`extends java.lang.Object`
`implements StyleResolver`

=========================================== LibLayout : a free Java layouting library =========================================== Project Info: http://reporting.pentaho.org/liblayout/ (C) Copyright 2006-2007, by Pentaho Corporation and Contributors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. [Java is a trademark or registered trademark of Sun Microsystems, Inc. in the United States and other countries.] ------------ $Id: AbstractStyleResolver.java 6501 2008-11-28 17:55:53Z tmorgner $ ------------ (C) Copyright 2006-2007, by Pentaho Corporation.

  ## Nested Class Summary

  `protected static class`

  `AbstractStyleResolver.AbstractStyleResolverState`

  ## Constructor Summary

  `AbstractStyleResolver()`

  ## Method Summary

  `protected boolean`

  `containsAttrFunction(CSSValue value)`

  `protected void`

  `copyStyleInformation(LayoutStyle target, CSSDeclarationRule rule, LayoutElement element)`

  `LayoutContext`

  `createAnonymousContext(ContextId id, LayoutContext parent)`

  `protected void`

  `fillState(AbstractStyleResolver.AbstractStyleResolverState state)`

  `protected DocumentContext`

  `getDocumentContext()`

  `LayoutStyle`

  `getInitialStyle()`

  `protected StyleKey[]`

  `getKeys()`

  `protected LayoutProcess`

  `getLayoutProcess()`

  `protected NamespaceCollection`

  `getNamespaces()`

  `void`

  `initialize(LayoutProcess layoutProcess)`

  `protected void`

  `loadInitialStyle()`

  `protected abstract void`

  `resolveOutOfContext(LayoutElement element)`

  `protected CSSValue`

  `resolveValue(CSSValue value, LayoutElement element)`

## Constructor Details

### AbstractStyleResolver

    protected AbstractStyleResolver()

## Method Details

### containsAttrFunction

    protected boolean containsAttrFunction(CSSValue value)

### copyStyleInformation

    protected void copyStyleInformation(LayoutStyle target,
                                        CSSDeclarationRule rule,
                                        LayoutElement element)

### createAnonymousContext

    public LayoutContext createAnonymousContext(ContextId id,
                                                LayoutContext parent)

> Specified by:
>   createAnonymousContext in interface StyleResolver

### fillState

    protected void fillState(AbstractStyleResolver.AbstractStyleResolverState state)

### getDocumentContext

    protected DocumentContext getDocumentContext()

### getInitialStyle

    public LayoutStyle getInitialStyle()

> Specified by:
>   getInitialStyle in interface StyleResolver

### getKeys

    protected StyleKey[] getKeys()

### getLayoutProcess

    protected LayoutProcess getLayoutProcess()

### getNamespaces

    protected NamespaceCollection getNamespaces()

### initialize

    public void initialize(LayoutProcess layoutProcess)

> Specified by:
>   initialize in interface StyleResolver

### loadInitialStyle

    protected void loadInitialStyle()

### resolveOutOfContext

    protected abstract void resolveOutOfContext(LayoutElement element)

### resolveValue

    protected CSSValue resolveValue(CSSValue value,
                                    LayoutElement element)
                throws FunctionEvaluationException